from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModel
from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModuleMaker

from .dataproxy import DatabricksDataProxy
from .constants import DB_TYPES
from .dbconfig import DatabricksDBConfig
from .patches import patch_pyhive

__version__ = '1.1.0'

patch_pyhive()


class DatabricksModel(SQLAlchemyModel):
    db_types = DB_TYPES


class DatabricksModuleMaker(SQLAlchemyModuleMaker):
    db_types = DB_TYPES


ModuleMaker = DatabricksModuleMaker
Model = DatabricksModel
DataProxy = DatabricksDataProxy
DBConfig = DatabricksDBConfig
